Name:		tclap
Summary:	Templatized C++ Command Line Parser
Version:	1.2.5
Release:	%mkrel 1
Group:		System/Libraries
License:	MIT
URL:		http://tclap.sourceforge.net/
Source:		https://sourceforge.net/projects/tclap/files/%{name}-%{version}.tar.gz
BuildArch:	noarch
Provides:	%{name}-devel = %{version}-%{release}

%description
This is a simple C++ library that facilitates parsing command line
arguments in a type independent manner.  It doesn't conform exactly
to either the GNU or POSIX standards, although it is close.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/pkgconfig
mv %{buildroot}%{_libdir}/pkgconfig/*.pc %{buildroot}%{_datadir}/pkgconfig/

%check
%__make check

%files
%doc README AUTHORS ChangeLog NEWS
%{_docdir}/%{name}/html/
%{_docdir}/%{name}/*.{html,css}
%{_includedir}/%{name}/
%{_datadir}/pkgconfig/*.pc


%changelog
* Fri Sep 30 2022 neoclust <neoclust> 1.2.5-1.mga9
+ Revision: 1893478
- New version 1.2.5

* Mon Mar 21 2022 umeabot <umeabot> 1.2.3-2.mga9
+ Revision: 1814206
- Mageia 9 Mass Rebuild

* Fri Mar 12 2021 daviddavid <daviddavid> 1.2.3-1.mga9
+ Revision: 1701724
- new version: 1.2.3

* Wed Feb 12 2020 umeabot <umeabot> 1.2.2-3.mga8
+ Revision: 1508173
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Sep 21 2018 umeabot <umeabot> 1.2.2-2.mga7
+ Revision: 1291751
- Mageia 7 Mass Rebuild

* Tue Feb 27 2018 daviddavid <daviddavid> 1.2.2-1.mga7
+ Revision: 1205441
- new version: 1.2.2
- update Source URL

* Sat Feb 20 2016 umeabot <umeabot> 1.2.1-7.mga6
+ Revision: 972087
- Mageia 6 Mass Rebuild

* Mon Oct 26 2015 daviddavid <daviddavid> 1.2.1-6.mga6
+ Revision: 895506
- update doc file list to fix build with latest rpm

* Wed Oct 15 2014 umeabot <umeabot> 1.2.1-5.mga5
+ Revision: 743500
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.1-4.mga5
+ Revision: 689740
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2.1-3.mga4
+ Revision: 519545
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.2.1-2.mga3
+ Revision: 384152
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 03 2011 fwang <fwang> 1.2.1-1.mga2
+ Revision: 151204
- imported package tclap

